RDF::Trine::Iterator::SAXHandler(3pm)

NAME
RDF::Trine::Iterator::SAXHandler - SAX Handler for parsing SPARQL XML Results format

VERSION
This document describes RDF::Trine::Iterator::SAXHandler version 1.014

STATUS
This module's API and functionality should be considered unstable. In the future, this module may change in backwards-incompatible ways, or be removed entirely. If you need functionality that this module provides, please get in touch <http://www.perlrdf.org/>.

SYNOPSIS
    use RDF::Trine::Iterator::SAXHandler;
    my $handler = RDF::Trine::Iterator::SAXHandler->new();
    my $p = XML::SAX::ParserFactory->parser(Handler => $handler);
    $p->parse_file( $string );
    my $iter = $handler->iterator;

METHODS
Beyond the methods documented below, this class inherits methods from the XML::SAX::Base class.

"new ( [ \&handler ] )"
    Returns a new XML::SAX handler object. If &handler is supplied, it will be called with a variable bindings object as each is parsed, bypassing the normal process of collecting the results for retrieval via an iterator object.

"iterator"
    Returns the RDF::Trine::Iterator object after parsing is complete.

"iterator_class"
    Returns the iterator class appropriate for the parsed results (either ::Iterator::Boolean or ::Iterator::Bindings).

"iterator_args"
    Returns the arguments suitable for passing to the iterator constructor after the iterator data.

"pull_result"
    Returns the next result from the iterator, if available (if it has been parsed yet). Otherwise, returns the empty list.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.